POST api/ShoppingCart/UpdatePaymentIntent_v1

Request Information

URI Parameters

None.

Body Parameters

ShoppingCardInfo
NameDescriptionTypeAdditional information
shopingCartId

integer

None.

PaymentMethods

Collection of ShoppingCardPaymentInfo

None.

Request Formats

application/json, text/json

Sample:
{
  "shopingCartId": 1,
  "paymentMethods": [
    {
      "type": "sample string 1",
      "isPrimary": true,
      "amount": 3.0
    },
    {
      "type": "sample string 1",
      "isPrimary": true,
      "amount": 3.0
    }
  ]
}

application/xml, text/xml

Sample:
<ShoppingCardInfo xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels">
  <PaymentMethods>
    <ShoppingCardPaymentInfo>
      <Amount>3</Amount>
      <Type>sample string 1</Type>
      <isPrimary>true</isPrimary>
    </ShoppingCardPaymentInfo>
    <ShoppingCardPaymentInfo>
      <Amount>3</Amount>
      <Type>sample string 1</Type>
      <isPrimary>true</isPrimary>
    </ShoppingCardPaymentInfo>
  </PaymentMethods>
  <shopingCartId>1</shopingCartId>
</ShoppingCardInfo>

multipart/form-data

Sample:
<ShoppingCardInfo xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels"><PaymentMethods><ShoppingCardPaymentInfo><Amount>3</Amount><Type>sample string 1</Type><isPrimary>true</isPrimary></ShoppingCardPaymentInfo><ShoppingCardPaymentInfo><Amount>3</Amount><Type>sample string 1</Type><isPrimary>true</isPrimary></ShoppingCardPaymentInfo></PaymentMethods><shopingCartId>1</shopingCartId></ShoppingCardInfo>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml, multipart/form-data

Sample:

Sample not available.